> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get advicecommandsget random advice



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml get /advice/commands/get-random-advice
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /advice/commands/get-random-advice:
    get:
      operationId: getRandomAdvice
      responses:
        '200':
          description: getRandomAdvice 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdviceDto'
components:
  schemas:
    AdviceDto:
      required:
        - id
        - text
      type: object
      properties:
        id:
          type: string
        text:
          type: string

````